### Property

# GSSDP Client:socket-ttl

#### Declaration

    property socket-ttl: guint [ read, write, construct-only ]

#### Description [src]

Time-to-live value to use for all sockets created by this client. If not set (or set to 0) the value recommended by UPnP will be used. This property can only be set during object construction.

Type:`guint`

Default value | 0

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes